#pragma once

#import <WebKit/npfunctions.h>
#import <WebKit/npruntime.h>

#import "BrowserAPI.h"

//////////////////////////////////////////////////////////////////////////////
// CanvasNPObject method identifiers

enum {
    ID_SHOW,
    ID_HIDE,
    NUM_METHOD_IDENTIFIERS
};

static NPIdentifier methodIdentifiers[NUM_METHOD_IDENTIFIERS];
static const NPUTF8 *methodIdentifierNames[NUM_METHOD_IDENTIFIERS] = {
    "show"
,   "hide"
};

//////////////////////////////////////////////////////////////////////////////
// CanvasNPObject structure

struct CanvasNPObject : public NPObject
{
    CanvasNPObject();

    bool performMethodByName(NPIdentifier name);

    void show();

    void hide();
};

//////////////////////////////////////////////////////////////////////////////

NPObject *CreateCanvasNPObject(NPNetscapeFuncs* browser, NPP npp);
