#import <WebKit/npapi.h>
#import <WebKit/npfunctions.h>
#import <WebKit/npruntime.h>

#include "PluginInstance.h"
#include "CanvasNPObject.h"
#include "BrowserAPI.h"
#include "PluginAPI.h"

//////////////////////////////////////////////////////////////////////////////
// Exported API of the plug-in for browsers

#pragma export on

extern "C"
{
    NPError NP_Initialize    (NPNetscapeFuncs *browserFuncs);
    NPError NP_GetEntryPoints(NPPluginFuncs   *pluginFuncs);
    void    NP_Shutdown      (void);
}

#pragma export off

//////////////////////////////////////////////////////////////////////////////
// Entry points, registration functions

NPError NP_Initialize(NPNetscapeFuncs* browserFuncs)
{
    browser = browserFuncs;
    return NPERR_NO_ERROR;
}

NPError NP_GetEntryPoints(NPPluginFuncs* pluginFuncs)
{
    memset(pluginFuncs, 0, sizeof(NPPluginFuncs));

    pluginFuncs->version       = 11;
    pluginFuncs->size          = sizeof(pluginFuncs);
    pluginFuncs->newp          = NPP_New;
    pluginFuncs->destroy       = NPP_Destroy;
    pluginFuncs->setwindow     = NPP_SetWindow;
    pluginFuncs->getvalue      = NPP_GetValue;
    pluginFuncs->setvalue      = NPP_SetValue;

    return NPERR_NO_ERROR;
}

void NP_Shutdown(void)
{

}
